aboutsummaryrefslogtreecommitdiff
path: root/test_compile.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test_compile.sh')
-rwxr-xr-xtest_compile.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/test_compile.sh b/test_compile.sh
new file mode 100755
index 0000000..073231c
--- /dev/null
+++ b/test_compile.sh
@@ -0,0 +1,18 @@
+#! /bin/bash
+cp cibic compile_data/
+cp lib.s compile_data/
+cd compile_data/
+for f in *.c
+do
+ echo $f
+ ./cibic $f > mips.s 2> /dev/null
+ gcc $f -m32 -std=c99 2> /dev/null
+ ./spim -stat -file mips.s > out
+ ./a.out > std
+ diff std out
+ if [[ "$?" != 0 ]]; then
+ echo "Wrong Answer!"
+ break;
+ fi
+done
+echo "OK."